Subject: bug#36263: Fixed in master

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Jun 2019 20:36:48 +0300

> Date: Mon, 17 Jun 2019 18:22:10 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> OTOH, I see the same assertion violation in Emacs 25.2, so this is far
> from a new problem.
> 
> On the third hand, this assertion compiles to nothing in a production
> version, so a production version doesn't crash.
> 
> Therefore, it sounds like it isn't important enough to fix this on the
> release branch, unless I'm missing something.

Actually, I think that assertion has an off-by-one error, it should be

  eassert (tlen >= file_name_as_directory_slop + 1);

If I change it this way, the recipe finishes and returns an empty
string.  Does anyone see a problem with making such a change on
master?  (I still think that we don't need to make any changes on the
release branch.)

Thanks.